## org.apache.wml
Interface WMLPElement

All Superinterfaces:
  org.w3c.dom.Element, org.w3c.dom.Node, WMLElement

All Known Implementing Classes:
  WMLPElementImpl

    public interface WMLPElement

extends WMLElement

The interface is modeled after DOM1 Spec for HTML from W3C. The DTD used in this DOM model is from http://www.wapforum.org/DTD/wml_1.1.xml

'p' element specifies a paragraph (Section 11.8.3, WAP WML Version 16-Jun-1999)

Version:
  $Id: WMLPElement.java 319808 2004-02-24 23:34:05Z mrglavas $
Author:
  David Li

Field Summary

Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` `getAlign()`
`java.lang.String` `getMode()`
`java.lang.String` `getXmlLang()`
`void` `setAlign(java.lang.String newValue)` 'align' specifies the align of teh paragraph The legal values are 'left,' 'center,' and 'right' (Section 11.8.3, WAP WML Version 16-Jun-1999)
`void` `setMode(java.lang.String newValue)` 'mode' specifies the wrapping mode of the paragraph.
`void` `setXmlLang(java.lang.String newValue)` The xml:lang that specifics the natural or formal language in which the document is written.

Methods inherited from interface org.apache.wml.WMLElement
`getClassName, getId, setClassName, setId`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Method Detail

### setMode

    void setMode(java.lang.String newValue)

  'mode' specifies the wrapping mode of the paragraph. The legal values are 'wrap' and 'nowrap' (Section 11.8.3, WAP WML Version 16-Jun-1999)

### getMode

    java.lang.String getMode()

### setAlign

    void setAlign(java.lang.String newValue)

  'align' specifies the align of teh paragraph The legal values are 'left,' 'center,' and 'right' (Section 11.8.3, WAP WML Version 16-Jun-1999)

### getAlign

    java.lang.String getAlign()

### setXmlLang

    void setXmlLang(java.lang.String newValue)

  The xml:lang that specifics the natural or formal language in which the document is written. (Section 8.8, WAP WML Version 16-Jun-1999)

### getXmlLang

    java.lang.String getXmlLang()

Copyright © 1999-2006 Apache XML Project. All Rights Reserved.